@echo off
set CORONA_PATH=%ProgramFiles%\Corona

set V2_DEFAULT_PATH=%CORONA_PATH%\LicensingServer.exe
set V3_DEFAULT_PATH=%CORONA_PATH%\Licensing Server\LicensingServer.exe

if exist "%V3_DEFAULT_PATH%" (
    set LICSERVER_PATH=%V3_DEFAULT_PATH%
) else if exist "%V2_DEFAULT_PATH%" (
    set LICSERVER_PATH=%V2_DEFAULT_PATH%
) else (
    echo ERROR: Licensing server is not installed at default location
    goto quit
)

net session >nul 2>&1
if ErrorLevel 1 (
    echo ERROR: Console not elevated, please run as Administrator.
    goto quit
)

echo Installing Corona Licensing Server service
%~dp0\nssm.exe install "Corona Licensing Server" "%LICSERVER_PATH%" --noGui
echo Starting Corona Licensing Server service
%~dp0\nssm.exe start "Corona Licensing Server"

:quit
pause