@echo off
set CORONA_PATH=%ProgramFiles%\Corona

set V2_DEFAULT_PATH=%CORONA_PATH%\DrServer.exe
set V3_DEFAULT_PATH=%CORONA_PATH%\DR Server\DrServer.exe

if exist "%V3_DEFAULT_PATH%" (
    set DRSERVER_PATH=%V3_DEFAULT_PATH%
) else if exist "%V2_DEFAULT_PATH%" (
    set DRSERVER_PATH=%V2_DEFAULT_PATH%
) else (
    echo ERROR: DR server is not installed at default location
    goto quit
)

net session >nul 2>&1
if ErrorLevel 1 (
    echo ERROR: Console not elevated, please run as Administrator.
    goto quit
)

echo Installing Corona DR Server service
%~dp0\nssm.exe install "Corona DR Server" "%DRSERVER_PATH%" --noGui
echo Starting Corona DR Server service
%~dp0\nssm.exe start "Corona DR Server"

:quit
pause